org.apache.lucene.search.vectorhighlight

## Class FieldFragList

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldFragList

Direct Known Subclasses:
  SimpleFieldFragList, WeightedFieldFragList

    public abstract class FieldFragList
    extends Object

FieldFragList has a list of "frag info" that is used by FragmentsBuilder class to create fragments (snippets).

### Nested Class Summary

Nested Classes
`static class` `FieldFragList.WeightedFragInfo` List of term offsets + weight for a frag info

### Constructor Summary

Constructors
Constructor and Description
`FieldFragList(int fragCharSize)` a constructor.

### Method Summary

Methods
`abstract void` `add(int startOffset, int endOffset, List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)` convert the list of WeightedPhraseInfo to WeightedFragInfo, then add it to the fragInfos
`List<FieldFragList.WeightedFragInfo>` `getFragInfos()` return the list of WeightedFragInfos.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldFragList

    public FieldFragList(int fragCharSize)

a constructor.

Parameters:
  `fragCharSize` - the length (number of chars) of a fragment

### Method Detail

#### add

    public abstract void add(int startOffset,
           int endOffset,
           List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)

convert the list of WeightedPhraseInfo to WeightedFragInfo, then add it to the fragInfos

Parameters:
  `startOffset` - start offset of the fragment
  `endOffset` - end offset of the fragment
  `phraseInfoList` - list of WeightedPhraseInfo objects

#### getFragInfos

    public List<FieldFragList.WeightedFragInfo> getFragInfos()

return the list of WeightedFragInfos.

Returns:
  fragInfos.